#!/bin/sh

cleanup_directory() {
    local directory="/mnt/sda0:/core"
    local logdirectory="/mnt/sda0:/logfile"
    local max_files=5
    local core_max_files=2

    (
        cd "$directory" || return 1
        local file_count=$(find . -maxdepth 1 -type f | wc -l)
        if [ "$file_count" -gt "$core_max_files" ]; then
            local oldest_file=$(ls -t | tail -1)
            rm "$oldest_file"
            echo "`date` $oldest_file del." >>/var/log/cpeagent.log
        fi
    )
    (
        cd "$logdirectory" || return 1
        local file_count=$(ls |grep log.gz | wc -l)
        if [ "$file_count" -gt "$max_files" ]; then
            local oldest_file=$(ls -t |grep log.gz | tail -1)
            rm "$oldest_file"
            echo "`date` $oldest_file del." >>/var/log/cpeagent.log
        fi
    )
}

while true; do
    for i in `seq 1 60`
    do
        sleep 1
    done
    # sleep 1 min
    processNum=`ps|grep "cpeagent start" |grep -v grep| wc -l`
    if [ $processNum -eq 0 ]; then
    /bin/appex/cpeagent start
    fi
    cleanup_directory
done

